Bug 502491 - rtl8139 doesn't work with bonding in alb mode
rtl8139 doesn't work with bonding in alb mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192 504156 526775
  Show dependency treegraph
 
Reported: 2009-05-25 09:55 EDT by Jiri Pirko
Modified: 2015-05-04 21:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 504156 (view as bug list)
Environment:
Last Closed: 2010-03-30 03:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2009-05-25 09:55:11 EDT
Description of problem:
NICs with chip Realtek 8139 are unable to change address when the interface is up. This causes that these NICs cannot be enslaved to bonding interface in alb mode which requires this functionality.

How reproducible:
Always

Steps to Reproduce:
1. Set up bonding interface in mode alb
2. enslave 8139 NIC
  
Actual results:
# ifenslave bond0 eth0
Master 'bond0', Slave 'eth0': Error: Enslave failed

fragment from dmesg:
eth0: link up, 100Mbps, full-duplex, lpa 0xC5E1
bonding: bond0: Error: dev_set_mac_address of dev eth0 failed! ALB mode requires that the base driver support setting the hw address also when the network device's interface is open

Expected results:
NIC is enslaved without problems.

Additional info:
upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=bda6a15a0d283d531b865fb7c596bb3ff258e87e

upstream commit for 8139c+:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=c048aaf4ca854fa67a3bfa9dab5b9ddc5083b3b7
Comment 2 RHEL Product and Program Management 2009-09-25 13:36:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2009-10-06 15:37:40 EDT
in kernel-2.6.18-168.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2010-03-30 03:44:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.